// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.Subsystems;


import edu.wpi.first.wpilibj2.command.SubsystemBase;

import com.ctre.phoenix.motorcontrol.FeedbackDevice;
import com.ctre.phoenix.motorcontrol.StatusFrameEnhanced;
import com.ctre.phoenix.motorcontrol.can.WPI_TalonSRX;
public class Accumulateur extends SubsystemBase {
  
  /** Creates a new Accumulateur. */
  public Accumulateur() {}
  final WPI_TalonSRX accumulateur1 = new WPI_TalonSRX(0);
  final WPI_TalonSRX accumulateur2 = new WPI_TalonSRX(10);
  final 
  public void encodeur(){
    accumulateur1.configSelectedFeedbackSensor(FeedbackDevice.CTRE_MagEncoder_Relative);
    accumulateur2.configSelectedFeedbackSensor(FeedbackDevice.CTRE_MagEncoder_Relative);
    accumulateur1.setStatusFramePeriod(StatusFrameEnhanced.Status_2_Feedback0, 1);
    accumulateur2.setStatusFramePeriod(StatusFrameEnhanced.Status_2_Feedback0, 1);
  }
  public void desaccumule(double vitesse){
    accumulateur1.set(vitesse);
    accumulateur2.set(-vitesse);
  }
  @Override
  public void periodic() {
    // This method will be called once per scheduler run
  }
}
